curl --request GET \
--url https://int-prodtest.m1amdocs.io/v1/entitlement \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/v1/entitlement"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/v1/entitlement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/entitlement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/entitlement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/v1/entitlement")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/entitlement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"partnerSubscriptionId": "<string>",
"account": {
"id": "<string>",
"externalId": "<string>",
"partnerCustomerId": "<string>",
"parent": "<string>"
},
"subscriptionId": "<string>",
"externalPartnerSubscriptionId": "<string>",
"registrationString": "<string>",
"redemptionCodeExpirationTime": "<string>",
"partnerUrl": "<string>",
"partnerTokenizedUrl": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"createdDate": "<string>",
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"activatedDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"metadata": {}
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}Retrieve Entitlements
Retrieve Entitlements
curl --request GET \
--url https://int-prodtest.m1amdocs.io/v1/entitlement \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/v1/entitlement"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/v1/entitlement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/entitlement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/entitlement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/v1/entitlement")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/entitlement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"partnerSubscriptionId": "<string>",
"account": {
"id": "<string>",
"externalId": "<string>",
"partnerCustomerId": "<string>",
"parent": "<string>"
},
"subscriptionId": "<string>",
"externalPartnerSubscriptionId": "<string>",
"registrationString": "<string>",
"redemptionCodeExpirationTime": "<string>",
"partnerUrl": "<string>",
"partnerTokenizedUrl": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"createdDate": "<string>",
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"activatedDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"metadata": {}
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Query Parameters
The filtering conditions: property names or property paths using filtering operators and values.
The supported operators are:
| Operator | Description |
|---|---|
| eq | Equal |
| ne | Not equal |
| gt | Greater than |
| ge | Greater than or equal |
| lt | Less than |
| le | Less than or equal |
| sw | Start with |
| ew | End with |
| co | Contains |
| and | Logical and |
| or | Logical or |
| not | Logical negation |
| ( ) | Precedence grouping |
Precedence order for logical operators: not, and, or.
The include data specification: A string composed of comma separated property names. Property paths are supported, property paths use periods as separators. If properties have a large number of items, a page number and size can be provided, following the property name in squeare brackets (e.g.: bookmarks[1|20]).
This contains a comma-separated list of expressions used to sort the items.
The expression MAY include the prefix "+" for ascending or "-" for descending. If "+" or "-" is not specified, ascending order is used.
NULL values are sorted as "less than" non-NULL values.
Items are sorted by the result values of the first expression, and then items with the same value for the first expression are sorted by the result value of the second expression, and so on. The sort order is the inherent order for the type of the property.
The results page number.
x >= 0The number of items to be returned.
1 <= x <= 100Response
OK
MarketONE partner service provisioning record identifier.
Show child attributes
Show child attributes
The subscription id associated with this partner service.
128The identifier returned by the partner from the "AddSubscription" callback.
256Information that was sent to the partner as part of the "AddSubscription" callback; e.g. registration code
2048The timestamp (ISO 8601 format) when redemption code expires (optional)
The optional response value that identifies the Url where user will be directed to for entering the registration code and completing the registration
2048The optional response value that identifies the complete one click url that can be used by the user for activation of his partner subscription.
2048The partner code as set by the partner admin in MarketONE.
15The product code defined by the partner identified by partner code.
128The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The timestamp (ISO 8601 format) when the partner subscription was activated (optional)
Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.
UNPROVISIONED, INACTIVE, ACTIVE, UPDATE-IN-PROGRESS, PAUSE-IN-PROGRESS, PAUSED, RESUME-IN-PROGRESS, CANCELLATION-IN-PROGRESS, CANCELLED 50A set of key/value pairs that you can attach to an object. Useful for storing additional information.
Show child attributes
Show child attributes
Was this page helpful?

